Built LMS Help Center
API Reference and PlaygroundCourses and CatalogModules

PUT Update module

Update a module's title or prerequisites

PUT
/modules/{id}

Update a module's title or prerequisites

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Module UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/modules/{id}" \  -H "Content-Type: application/json" \  -d '{    "title": "Example title",    "prerequisites": [      "{prerequisites_item}"    ]  }'
{  "data": {    "id": "{id}",    "course_id": "{course_id}",    "title": "string",    "sequence_order": 0,    "published": true,    "block_count": 0,    "prerequisite_module_ids": [      "{items}"    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}